# Overview

[ComplyCube](https://www.complycube.com/) is a cloud-based API platform for automating Identity Verification (ID\&V), Anti-Money Laundering (AML), and Know Your Customer (KYC) compliance workflows.

Our API follows REST principles, with predictable resource-oriented URLs and standard [HTTP response codes](/documentation/api-reference/errors.md#http-status-codes). All responses, including [errors](/documentation/api-reference/errors.md), are returned in JSON.

We’ve designed our documentation to be easy to follow. It is grouped by resource type and offers practical examples.

If you’re just getting started, begin with the [user guide](https://docs.complycube.com/documentation/) for an overview of the core concepts and workflows.

{% hint style="info" %}
As a general guideline, if a property has an empty or null value, we drop it from the JSON unless there’s a strong semantic reason for its existence.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
